#include <ESP8266WiFi.h>

#include <Adafruit_ssd1306syp.h>
#define SDA_PIN 14                        //OLED SDA
#define SCL_PIN 12                        //OLED SCL
   
#define relay1 5 
#define relay  4
const char *ssid     = "AMPERMARKET.KZ";  // AMPERMARKET.KZ следует заменить на SSID вашей Wi-Fi точки доступа
const char *password = "123456";          // Здесь следует указать пароль вашей точки доступа
const char *host = "192.168.1.71";        // Здесь следует вписать ваш IP адрес платы-передатчика, выступающей TCP сервером
WiFiClient client;
const int tcpPort = 8266;                 // TCP порт, установленный для платы передатчика

   Adafruit_ssd1306syp display(SDA_PIN, SCL_PIN);
   int a,b,i=0,t=0,bb,bbb;
   
void setup()
{
    Serial.begin(115200);
    delay(10);
    Serial.println();
    Serial.println();
    Serial.print("Connecting to ");
    Serial.println(ssid);
   
    WiFi.begin(ssid, password);
   
    while (WiFi.status() != WL_CONNECTED)     // Эта функция возвращает состояние Wi-Fi соединения
    {
        delay(500);
        Serial.print(".");
    }
   
    Serial.println("");
    Serial.println("WiFi connected");
    Serial.println("IP address: ");
    Serial.println(WiFi.localIP());           // Функция WiFi.LocalIP() возвращает IP адрес ESP8266

  display.initialize();                       // Инициализация OLED дисплея

  display.setTextColor(WHITE);
  display.setTextSize(1);
  display.setCursor(0, 0);                    // Установка курсора на дисплее
  display.print("Hello,\nWelcome to Elecrow"); // Вывод текста на OLED дисплей
  display.update();
  display.clear();
}
   
   
void loop()
{
    while (!client.connected())               // Обработка неполадок при установке соединения
    {
        if (!client.connect(host, tcpPort))
        {
            Serial.println("connection....");
            delay(500);
   
        }
    }
while (client.available())                     // Получение данных от платы с датчиками, их интерпретация и вывод на OLED дисплей
    {
        uint8_t c = client.read();             // Чтение передаваемых данных
        Serial.write(c);                       // Вывод данных в монитор серийного порта
        size_t l=8;
        uint8_t buff[l];
        
     display.setCursor(0, 0);
     display.setTextSize(1);
     display.print("Rain:");
     display.setCursor(0, 17);
     display.setTextSize(1);
     display.print("Humi:");
     display.setCursor(64, 17);
     display.setTextSize(1);
     display.print("%");
     display.setCursor(0, 34);
     display.setTextSize(1);
     display.print("Temp:");
     display.setCursor(64,34);
     display.setTextSize(1);
     display.print("C");
     
     display.setCursor(0, 51);
     display.setTextSize(1);
     display.print("UV:");
  
      if(c=='1')
      {
         display.setCursor(50,0);
         display.setTextSize(1);
         display.print("no");
       }
       if(c=='0')
       {
          display.setCursor(50,0);
          display.setTextSize(1);
          display.print("yes");
        }
               
       if(c=='A')
       {
          display.setCursor(50,17);
          display.setTextSize(1);
          display.print("0");
       }
       
       if(c=='B')
       {
          display.setCursor(50,17);
          display.setTextSize(1);
          display.print("1");
       }
       
       if(c=='C')
       {
          display.setCursor(50,17);
          display.setTextSize(1);
          display.print("2");
       }
       
       if(c=='D')
       {
          display.setCursor(50,17);
          display.setTextSize(1);
          display.print("3");
       }
       
       if(c=='E')
       {
          display.setCursor(50,17);
          display.setTextSize(1);
          display.print("4");
       }
       
       if(c=='F')
       {
          display.setCursor(50,17);
          display.setTextSize(1);
          display.print("5");
       }
       
       if(c=='G')
       {
          display.setCursor(50,17);
          display.setTextSize(1);
          display.print("6");
       }
       
       if(c=='H')
       {
          display.setCursor(50,17);
          display.setTextSize(1);
          display.print("7");
       }
       
       if(c=='I')
       {
          display.setCursor(50,17);
          display.setTextSize(1);
          display.print("8");
       }
       
       if(c=='J')
       {
          display.setCursor(50,17);
          display.setTextSize(1);
          display.print("9");
       }
       
       if(c=='a')
       {
          display.setCursor(57,17);
          display.setTextSize(1);
          display.print("0");
       }
       
       if(c=='b')
       {
          display.setCursor(57,17);
          display.setTextSize(1);
          display.print("1");
       }
       
       if(c=='c')
       {
          display.setCursor(57,17);
          display.setTextSize(1);
          display.print("2");
       }
       
       if(c=='d')
       {
          display.setCursor(57,17);
          display.setTextSize(1);
          display.print("3");
       }
       
       if(c=='e')
       {
          display.setCursor(57,17);
          display.setTextSize(1);
          display.print("4");
       }
      
       if(c=='f')
       {
          display.setCursor(57,17);
          display.setTextSize(1);
          display.print("5");
       }
       
       if(c=='g')
       {
          display.setCursor(57,17);
          display.setTextSize(1);
          display.print("6");
       }
       
       if(c=='h')
       {
          display.setCursor(57,17);
          display.setTextSize(1);
          display.print("7");
       }
       
       if(c=='i')
       {
          display.setCursor(57,17);
          display.setTextSize(1);
          display.print("8");
       }
       
       if(c=='j')
       {
          display.setCursor(57,17);
          display.setTextSize(1);
          display.print("9");
       }
              
       if(c=='K')
       {
          display.setCursor(50,34);
          display.setTextSize(1);
          display.print("0");
       }
       
       if(c=='L')
       {
          display.setCursor(50,34);
          display.setTextSize(1);
          display.print("1");
       }
       
       if(c=='M')
       {
          display.setCursor(50,34);
          display.setTextSize(1);
          display.print("2");
       }
       
       if(c=='N')
       {
          display.setCursor(50,34);
          display.setTextSize(1);
          display.print("3");
       }
       
       if(c=='O')
       {
          display.setCursor(50,34);
          display.setTextSize(1);
          display.print("4");
       }
       
       if(c=='P')
       {
          display.setCursor(50,34);
          display.setTextSize(1);
          display.print("5");
       }
       
       if(c=='Q')
       {
          display.setCursor(50,34);
          display.setTextSize(1);
          display.print("6");
       }
       
       if(c=='U')
       {
          display.setCursor(50,34);
          display.setTextSize(1);
          display.print("7");
       }
       
       if(c=='S')
       {
          display.setCursor(50,34);
          display.setTextSize(1);
          display.print("8");
       }
       
       if(c=='T')
       {
          display.setCursor(50,34);
          display.setTextSize(1);
          display.print("9");
       }

       if(c=='k')
       {
          display.setCursor(57,34);
          display.setTextSize(1);
          display.print("0");
       }
       
       if(c=='l')
       {
          display.setCursor(57,34);
          display.setTextSize(1);
          display.print("1");
       }
       
       if(c=='m')
       {
          display.setCursor(57,34);
          display.setTextSize(1);
          display.print("2");
       }
       
       if(c=='n')
       {
          display.setCursor(57,34);
          display.setTextSize(1);
          display.print("3");
       }
       
       if(c=='o')
       {
          display.setCursor(57,34);
          display.setTextSize(1);
          display.print("4");
       }
       
       if(c=='p')
       {
          display.setCursor(57,34);
          display.setTextSize(1);
          display.print("5");
       }
       
       if(c=='q')
       {
          display.setCursor(57,34);
          display.setTextSize(1);
          display.print("6");
       }
       
       if(c=='r')
       {
          display.setCursor(57,34);
          display.setTextSize(1);
          display.print("7");
       }
       
       if(c=='s')
       {
          display.setCursor(57,34);
          display.setTextSize(1);
          display.print("8");
       }
       
       if(c=='t')
       {
          display.setCursor(57,34);
          display.setTextSize(1);
          display.print("9");
       }
       
       if(c=='6')
       {
         display.setCursor(50,51);
         display.setTextSize(1);
         display.print("strong");
         buff[2]='6';  
       }
       
       if(c=='9')
       {
          display.setCursor(50,51);
          display.setTextSize(1);
          display.print("weak");
          buff[2]='9';
        }
        
       display.update();
       
       if(c=='Z')
       { 
          display.clear();     
       }
    }
}
   
